Description

Hi,

I found that mysql2 (0.3.21) doesn't properly closing connections.

Our mysql's error logs are full of these warnings

11797 [Warning] Aborted connection 12561 to db: 'test' user: 'test' host: '127.0.0.1' (Got an erro

r reading communication packets)

11798 [Warning] Aborted connection 12561 to db: 'test' user: 'test' host: '127.0.0.1' (Got an erro

r reading communication packets)

11799 [Warning] Aborted connection 12561 to db: 'test' user: 'test' host: '127.0.0.1' (Got an erro

r reading communication packets)

...

 it is already fixed, but the change wasn't backported to the 0.3.x branch

https://github.com/brianmario/mysql2/issues/606

I can confirm the issue is gone after upgrading to the current version 0.4.6.

This version is still compatible with Ruby 1.9+ and it passes redmine tests. I also run our specs and it looks like everything is ok.

Notable changes:

* mysql 8 support

* prepared statements support

* connection.close/shutdown fix

* many bugfixes

 Full changelog:

https://github.com/brianmario/mysql2/releases

Associated revisions

Revision 16553 - 2017-05-13 11:28 - Jean-Philippe Lang

Use mysql2 0.4.6 instead of 0.3 (#25829).

Patch by Pavel Rosický.

Revision 16560 - 2017-05-27 09:32 - Jean-Philippe Lang

Merged r16553 (#25829).

Revision 16561 - 2017-05-27 09:33 - Jean-Philippe Lang

Merged r16553 (#25829).

History

#1 - 2017-05-13 01:26 - Go MAEDA

- Tracker changed from Feature to Defect
https://github.com/brianmario/mysql2/issues/606
https://github.com/brianmario/mysql2/releases


- Subject changed from upgrade mysql2 to mysql2 gem doesn't properly close connections

- Target version set to 3.2.7

- Affected version set to 2.0.0

Setting target version to 3.2.7.

I have been observing a significant increase in the number of connections on my environment for years, maybe caused by this issue.

Thank you for detecting and inspecting this issue.

#2 - 2017-05-13 11:29 - Jean-Philippe Lang

- Subject changed from mysql2 gem doesn't properly close connections to mysql2 0.3 gem doesn't properly close connections

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed, thanks.

#3 - 2017-05-27 09:33 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Files

Gemfile.patch 508 Bytes 2017-05-12 Pavel Rosický
